summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLukc <lukc@upyum.com>2010-09-04 11:02:51 +0000
committerLukc <lukc@upyum.com>2010-09-04 11:02:51 +0000
commit9a92968218db3d69d448a98c3a842fbcdc515fc3 (patch)
tree5b2c15de0eca1a59adf5c9373552ca55629c8a80
parent5f3db92496559d197e396e0bf1e487ff80e70f8d (diff)
downloadports-9a92968218db3d69d448a98c3a842fbcdc515fc3.tar.gz
ports-9a92968218db3d69d448a98c3a842fbcdc515fc3.tar.bz2
ports-9a92968218db3d69d448a98c3a842fbcdc515fc3.tar.xz
ports-9a92968218db3d69d448a98c3a842fbcdc515fc3.zip
httpup port added.
-rw-r--r--httpup/Pkgfile19
-rw-r--r--httpup/httpup27
2 files changed, 46 insertions, 0 deletions
diff --git a/httpup/Pkgfile b/httpup/Pkgfile
new file mode 100644
index 0000000..6973b57
--- /dev/null
+++ b/httpup/Pkgfile
@@ -0,0 +1,19 @@
+description="One way sync over HTTP."
+packager="Lukc (XMPP/SMTP: lukc AT upyum DOT com)"
+maintainer="Lukc (XMPP/SMTP: lukc AT upyum DOT com)"
+url=http://jw.tks6.net/files/crux/httpup_manual.html
+depends=(curl)
+
+name=httpup
+version=0.4.0k
+release=1
+source=(http://jw.tks6.net/files/crux/$name-$version.tar.gz httpup)
+build ()
+{
+ cd $name-$version;
+ pkgmake;
+ mkdir -p $PKG/usr/{bin,share/man/man8};
+ cp httpup httpup-repgen $PKG/usr/bin;
+ install -D -m 755 $SRC/httpup $PKG/etc/ports/drivers/httpup;
+ cp *.8 $PKG/usr/share/man/man8
+}
diff --git a/httpup/httpup b/httpup/httpup
new file mode 100644
index 0000000..5c8db84
--- /dev/null
+++ b/httpup/httpup
@@ -0,0 +1,27 @@
+#!/bin/sh
+#
+# /etc/ports/drivers/httpup: httpup driver script for ports(8)
+#
+
+if [ $# -ne 1 ]; then
+ echo "usage: $0 <file>" >&2
+ exit 1
+fi
+
+. $1
+
+if [ -z "$ROOT_DIR" ]; then
+ echo "ROOT_DIR not set in '$1'" >&2
+ exit 2
+fi
+if [ -z "$URL" ]; then
+ echo "URL not set in '$1'" >&2
+ exit 2
+fi
+
+for REPO in $URL; do
+ PORT=`echo $REPO | sed -n '/#.*$/s|^.*#||p'`
+ httpup sync $REPO $ROOT_DIR/$PORT
+done
+
+# End of file.